org.apache.ignite.internal.processors.cache.version

## Interface GridCacheVersionedEntry<K,V>

All Known Subinterfaces:
  GridCacheVersionedEntryEx<K,V>

All Known Implementing Classes:
  GridCacheLazyPlainVersionedEntry, GridCachePlainVersionedEntry, GridCacheRawVersionedEntry

    public interface GridCacheVersionedEntry<K,V>

Cache entry along with version information.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte` `dataCenterId()` Gets ID of initiator data center.
`long` `expireTime()` Gets entry's expire time.
`K` `key()` Gets entry's key.
`long` `order()` Gets entry's order in initiator data center.
`int` `topologyVersion()` Gets entry's topology version in initiator data center.
`long` `ttl()` Gets entry's TTL.
`V` `value(CacheObjectValueContext ctx)` Gets entry's value.

### Method Detail

#### key

    K key()

Gets entry's key.

Returns:
  Entry's key.

#### value

    @Nullable
    V value(CacheObjectValueContext ctx)

Gets entry's value.

Parameters:
  `ctx` - Object value context.
Returns:
  Entry's value.

#### ttl

    long ttl()

Gets entry's TTL.

Returns:
  Entry's TTL.

#### expireTime

    long expireTime()

Gets entry's expire time.

Returns:
  Entry's expire time.

#### dataCenterId

    byte dataCenterId()

Gets ID of initiator data center.

Returns:
  ID of initiator data center.

#### topologyVersion

    int topologyVersion()

Gets entry's topology version in initiator data center.

Returns:
  Entry's topology version in initiator data center.

#### order

    long order()

Gets entry's order in initiator data center.

Returns:
  Entry's order in initiator data center

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020